Page MenuHomePhabricator

1.35.0-wmf.36 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.36
Release Date
1591574400
Backup Conductor
LarsWirzenius

2020 week 24 1.35-wmf.36 Changes wmf/1.35.0-wmf.36

This MediaWiki Train Deployment is scheduled for the week of Monday, June 8th:

Monday June 8thTuesday, June 9thWednesday, June 10thThursday, June 11thFriday
Backports only.Branch wmf.36 and deploy to Group 0 Wikis.Deploy wmf.36 to Group 1 Wikis.Deploy wmf.36 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.36 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.35
Next: 1.35.0-wmf.37

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2020, 4:11 PM
thcipriani assigned this task to jeena.Jun 1 2020, 4:19 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: LarsWirzenius.
Pchelolo added a subscriber: Pchelolo.EditedJun 5 2020, 4:40 PM

Something to be cautious about: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/545690 got merged, and it's completely changing user group management handling. It's a big patch, it was tested quite extensively and reviewed by multiple people, but I would still expect that some corner cases could have been forgotten. I will do some manual testing once it's on group0.

In case of emergency, revert is recommended.

Thanks for the heads-up.

DannyS712 added a comment.EditedJun 8 2020, 5:50 PM

Patch going out with the train:
https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/603090/ - Hard deprecate Revision::getContent
As noted on the task (T254703: Hard deprecate Revision::getContent) there are a number of methods with the same name, and while I'm fairly sure all uses of Revision::getContent are in deprecated code paths that shouldn't occur in production, I may have missed some.
Potential impact: logspam (no breaking changes made, so no failures, just deprecation warnings)
If this occurs, will send patches to fix the uses as they are found

Something to be cautious about: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/545690 got merged, and it's completely changing user group management handling. It's a big patch, it was tested quite extensively and reviewed by multiple people, but I would still expect that some corner cases could have been forgotten. I will do some manual testing once it's on group0.

In case of emergency, revert is recommended.

It caused T254822. I'll upload a fix soon, triaged as train blocker in the meanwhile.

In case reverts need to be done, https://gerrit.wikimedia.org/r/c/mediawiki/core/+/602695 was merged on top of the problematic patch, so has to be reverted too. It's practically test-only.

After the CentralAuth problem fixed yesterday, I did another audit of callers and found that CheckUser might potentially be affected by UserGroupManager. https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/604047 fixes a potential issue.

Mentioned in SAL (#wikimedia-operations) [2020-06-09T16:06:38Z] <longma> cutting the branch for 1.35.0-wmf.36 T254173

Patch going out with the train:
https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/603090/ - Hard deprecate Revision::getContent
As noted on the task (T254703: Hard deprecate Revision::getContent) there are a number of methods with the same name, and while I'm fairly sure all uses of Revision::getContent are in deprecated code paths that shouldn't occur in production, I may have missed some.
Potential impact: logspam (no breaking changes made, so no failures, just deprecation warnings)
If this occurs, will send patches to fix the uses as they are found

Any log entries related to this?

jeena added a comment.Jun 10 2020, 4:36 AM

@DannyS712 I haven't noticed any so far

Xover added a subscriber: Xover.Jun 10 2020, 8:14 PM

T255073 potentially breaks tons of tools, gadgets, user scripts, etc. My call would be to hold until this is pinned down before rolling out to wikipedia.

It also breaks English Wikisource (and possibly several other Wikisourcen since they tend to copy code from enWS) by way of local code (Common.js and scripts called from there), but I wouldn't currently want to be categorical on whether it merits rolling back. If we can't sanely work around it I may become more… vocal. :)

T255069 was already a bug before this train, but am working to fix T255073 in today's BACON window.

jeena closed this task as Resolved.Jun 11 2020, 11:10 PM